List the application's branch builds (browser session)
import requests
url = "https://api.platform.ankra.app/org/applications/{application_id}/branch-builds"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/applications/{application_id}/branch-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/applications/{application_id}/branch-builds \
--cookie ankra_session={
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tracked_branch": "<string>",
"builds": [
{
"branch": "<string>",
"image_tag": "<string>",
"commit_sha": "<string>",
"built_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Applications
List the application's branch builds (browser session)
The newest published build of each branch of the application (at most 200 branches, newest first), with the tracked branch: what an environment that follows a branch rule deploys from, so a client can say which build a rule would run or that a branch has published nothing yet. Held to the applications.read permission.
GET
/
org
/
applications
/
{application_id}
/
branch-builds
List the application's branch builds (browser session)
import requests
url = "https://api.platform.ankra.app/org/applications/{application_id}/branch-builds"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/applications/{application_id}/branch-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/applications/{application_id}/branch-builds \
--cookie ankra_session={
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tracked_branch": "<string>",
"builds": [
{
"branch": "<string>",
"image_tag": "<string>",
"commit_sha": "<string>",
"built_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Path Parameters
Response
Successful Response
The newest published build of each branch of an application, newest first: what an environment that follows a branch rule deploys from.